<?
if (!user_access('chat_room')) {
	$_SESSION['message'] = __('У вас нет прав доступа');	
	header('Location: ?func=index');
	exit;		
}

if (isset($_GET['room'])) { 

	$ID = (int) $_GET['room'];
	$room = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_rooms` WHERE `id` = '" . $ID . "' LIMIT 1"));	
}	
	
if (isset($_POST['name']))
{
	if ($_SESSION['sid'] != $_GET['sid']) {
		$err[] = __('Неверное значение сессии');
	}
	
	$name = my_esc($_POST['name']);
	$opis = my_esc($_POST['opis']);
	$pos = intval($_POST['pos']);

	if ($_POST['bots'] == 1 || $_POST['bots'] == 3){
		$umnik = 1;
	} else { 
		$umnik = 0;
	}
	
	if ($_POST['bots'] == 2 || $_POST['bots'] == 3) { 
		$shutnik = 1;
	} else {
		$shutnik = 0;
	}
	
	if (!isset($err)) {
		
		if (isset($room['id'])) {
			mysql_query("UPDATE `chat_rooms` SET `name` = '$name', `opis` = '$opis', `pos` = '$pos', `umnik` = '$umnik', `shutnik` = '$shutnik' WHERE `id` = '$room[id]' LIMIT 1");
			admin_log('Чат', 'Параметры комнат', "Изменение комнаты $name");
			
			$_SESSION['message'] = __('Параметры комнаты изменены');				
		} else {
			mysql_query("INSERT INTO `chat_rooms` (`name`, `opis`, `pos`, `umnik`, `shutnik`) values('$name', '$opis', '$pos', '$umnik', '$shutnik')");
			admin_log('Чат', 'Параметры комнат', "Добавлена комната '$name', описание: $opis");
			
			$_SESSION['message'] = __('Комната успешно создана');	
		}

		header('Location: ?func=index');
		exit;		
	}
}

$_SESSION['sid'] = mt_rand(000, 999);
$set['title'] = 'Чат - Управление';
include_once H.'sys/inc/thead.php';
title();
aut(); 
err();

if (isset($room['id'])) {
?>
	<form class="nav2" action="?func=set&amp;room=<?= $ID?>&amp;sid=<?= $_SESSION['sid']?>" method="post">
	<?= __('Название комнаты')?>:<br /><input type="text" name="name" value="<?= text($room['name'])?>" /><br />
	<?= __('Позиция')?>:<br /><input type="text" name="pos" value="<?= $room['pos']?>" /><br />
	<?= __('Описание')?>:<br /><textarea type="text" name="opis"><?= text($room['opis'])?></textarea><br />

	<?= __('Боты')?>:<br />
	<select name="bots">
	<option value="0" <?= ($room['umnik'] == 0 && $room['shutnik'] == 0 ? ' selected="selected"' : '')?>><?= __('Нет')?></option>
	<option value="1" <?= ($room['umnik'] == 1 && $room['shutnik'] == 0 ? ' selected="selected"' : '')?>><?= $set['chat_umnik']?></option>
	<option value='2' <?= ($room['umnik'] == 0 && $room['shutnik'] == 1 ? ' selected="selected"' : '')?>><?= $set['chat_shutnik']?></option>
	<option value='3' <?= ($room['umnik'] == 1 && $room['shutnik'] == 1 ? ' selected="selected"' : '')?>><?= $set['chat_umnik']?> и <?= $set['chat_shutnik']?></option>
	</select><br />

	<input class="submit" type="submit" value="<?= __('Применить')?>" /> <a href="?"><?= __('Отмена')?></a><br />
	</form>
	
	<div class="foot">
	<a href="?func=delete&amp;room=<?= $ID?>"><img src="/style/icons/delete.gif" /> <?= __('Удалить комнату')?></a><br />
	</div>
<?
} elseif (isset($_GET['create'])) {
?>
	<form class="nav2" action="?func=set&amp;create&amp;sid=<?= $_SESSION['sid']?>" method="post">
	<?= __('Название комнаты')?>:<br /><input type="text" name="name" value="" /><br />
	<?= __('Позиция')?>:<br /><input type="text" name="pos" value="" /><br />
	<?= __('Описание')?>:<br /><textarea type="text" name="opis"></textarea><br />

	<?= __('Боты')?>:<br />
	<select name="bots">
	<option value="0" ><?= __('Нет')?></option>
	<option value="1" ><?= $set['chat_umnik']?></option>
	<option value='2' ><?= $set['chat_shutnik']?></option>
	<option value='3' ><?= $set['chat_umnik']?> и <?= $set['chat_shutnik']?></option>
	</select><br />

	<input class="submit" type="submit" value="<?= __('Создать')?>" /> <a href="?"><?= __('Отмена')?></a><br />
	</form>
<?
} else {
?>
	<div class="mess">
	<?= __('К сожалению, система не определила раздел для этой операции! Возможно у вас нет прав доступа, либо вы ошиблись ссылкой.<br />Вернитесь на <a href="?">главную страницу чата</a>, и попробуйте повторить желаемое действие.')?>
	</div>
<?
}
?>

<div class="foot">
 <img src="/style/icons/str2.gif" alt="*" /> <a href="?"><?= __('Чат')?></a> | <b><?= __('Управление')?></b><br />
</div>